Program CaseGoto;

Label
  42;

Var
  Question: Boolean = false;

begin
  case Question of
    true: repeat
            writeln ( 'failed' );
            42:
	    writeln ( 'OK' );
          until not Question;
    false: goto 42;
  end (* case *);
end.
